## NMSettingTeam NMSettingTeam — Describes connection properties for teams |

## Synopsis

    #define             NM_SETTING_TEAM_SETTING_NAME
    #define             NM_SETTING_TEAM_CONFIG
    struct              NMSettingTeam;
                        NMSettingTeamClass;
    NMSetting *         nm_setting_team_new                 (void);
    const char *        nm_setting_team_get_config          (NMSettingTeam *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingTeam

## Properties

      "config"                   gchar*                : Read / Write

## Description

The NMSettingTeam object is a NMSetting subclass that describes properties necessary for team connections.

## Details

### NM_SETTING_TEAM_SETTING_NAME

    #define NM_SETTING_TEAM_SETTING_NAME "team"

### NM_SETTING_TEAM_CONFIG

    #define NM_SETTING_TEAM_CONFIG "config"

### struct NMSettingTeam

    struct NMSettingTeam;

### NMSettingTeamClass

    typedef struct {
    	NMSettingClass parent;
    } NMSettingTeamClass;

### nm_setting_team_new ()

    NMSetting *         nm_setting_team_new                 (void);

Creates a new NMSettingTeam object with default values.

Returns : | the new empty NMSettingTeam object. [transfer full]

### nm_setting_team_get_config ()

    const char *        nm_setting_team_get_config          (NMSettingTeam *setting);

`setting` : | the NMSettingTeam
Returns : | the "config" property of the setting

## Property Details

### The `"config"` property

      "config"                   gchar*                : Read / Write

The JSON configuration for the team network interface. The property should contain raw JSON configuration data suitable for teamd, because the value is passed directly to teamd. If not specified, the default configuration is used. See man teamd.conf for the format details.

Default value: NULL